=== debian/changelog ===
crystalhd (1:0.0~git20110715.fdd2f19-9ubuntu1) raring; urgency=low

  * Apply patch from Guido Günther on Debian bug #702372 to port to GStreamer
    1.0. (LP: #1166816)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Apr 2013 15:49:28 +0100

crystalhd (1:0.0~git20110715.fdd2f19-9) unstable; urgency=high

  * New package upload with just fixes to remove dkms package.
  * Revert bump to Standards-Version 3.9.4.
  * Revert build with hardening options to satisfy Wheezy release goal.

 -- Andres Mejia <amejia@debian.org>  Sat, 02 Mar 2013 17:43:59 -0500

crystalhd (1:0.0~git20110715.fdd2f19-8) unstable; urgency=high

  * Remove dkms package which contained buggy driver.
    Driver already existed in mainline kernel. Any issues with the driver
    should be directed to the kernel package.
    (Closes: #682252)
    (Closes: #699470)
  * Bump to Standards-Version 3.9.4.
  * Build with hardening options to satisfy Wheezy release goal.

 -- Andres Mejia <amejia@debian.org>  Sat, 02 Mar 2013 13:34:36 -0500

crystalhd (1:0.0~git20110715.fdd2f19-7) unstable; urgency=low

  * Include udev rules for crystalhd-dkms.

 -- Andres Mejia <amejia@debian.org>  Mon, 30 Apr 2012 13:48:40 -0400

crystalhd (1:0.0~git20110715.fdd2f19-6) unstable; urgency=low

  * Make dev package multiarch installable.
  * Set Standards-Version to 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 17:02:49 -0400

crystalhd (1:0.0~git20110715.fdd2f19-5) unstable; urgency=low

  * Update location to source in crystalhd-get-orig-source script.
  * Make dpkg-source options permenant.
  * Add Suggests of firmware-crystalhd.
  * Add support for multiarch for libcrystalhd.

 -- Andres Mejia <amejia@debian.org>  Wed, 11 Jan 2012 00:27:57 -0500

crystalhd (1:0.0~git20110715.fdd2f19-4) unstable; urgency=low

  * Make crystalhd package build only on amd64 and i386.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 12:48:39 -0400

crystalhd (1:0.0~git20110715.fdd2f19-3) unstable; urgency=low

  * Make crystalhd package build only on linux machines.
  * Fix spelling errors.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 11:39:43 -0400

crystalhd (1:0.0~git20110715.fdd2f19-2) unstable; urgency=low

  * Fix build of crystalhd on non i386 and amd64 systems.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 11:08:11 -0400

crystalhd (1:0.0~git20110715.fdd2f19-1) unstable; urgency=low

  * Initial release. (Closes: #577130)

 -- Andres Mejia <amejia@debian.org>  Sat, 16 Jul 2011 10:31:27 -0400
