=== debian/control ===
Source: crystalhd
Priority: optional
Maintainer: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.broadcom.com/support/crystal_hd/
Vcs-Git: git://git.debian.org/git/collab-maint/crystalhd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/crystalhd.git

Package: libcrystalhd-dev
Section: libdevel
Multi-Arch: same
Architecture: amd64 i386
Depends: libcrystalhd3 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Crystal HD Video Decoder (development files)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the files necessary for development.

Package: libcrystalhd3
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firmware-crystalhd
Description: Crystal HD Video Decoder (shared library)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the shared library.

Package: gstreamer1.0-crystalhd
Section: video
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Crystal HD Video Decoder (GStreamer plugin)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the crystalhd GStreamer plugin.
